<div class="gray-box form">
	<fieldset>
		<legend><?= __('pv2_section_manage_models') ?></legend>
		<div class="body" id="escorts">

			<div style="margin:0 0 15px 0" class="actions">
				<button onclick="return newProfile(this)"><img src="<?= _st('_/btn_add-new-model.gif') ?>" alt="Add Profile"></button>
			</div>
			<div class="clear"></div>

			<div class="section">
				<h3><?= __('pv2_title_your_active_models') ?></h3>
				<div class="container" id="actcontainer">
					<? if ( $this->actionError && $this->is_active ): ?>
					<div class="error-message"><?= $this->actionError ?></div>
					<? endif ?>
				<? foreach ( $this->escorts_active as $escort ): $escort = new Model_EscortItem($escort); if ( (!($escort->status & 32 )) || ($escort->status & Model_Escorts::ESCORT_STATUS_OWNER_DISABLED) ) continue; ?>
					<div class="p-escort">
						<form action="" method="post">
							<input type="hidden" name="is_active" value="0" />
							<input type="hidden" name="escort_id" value="<?= $escort->id ?>" />
							<a href="<?= $this->getLink('profile', array('showname' => $escort->showname)) ?>" title="<?= $escort->showname ?>"><?= $escort->showname ?></a><br/>
							<div class="image">
								<a class="wrap" href="<?= $this->getLink('profile', array('showname' => $escort->showname)) ?>" title="<?= $escort->showname ?>" target="_blank">
									<img src="<?= ($main = $escort->getMainPhoto()) ? $main->getUrl('agency_p100', true) : _st('no-photo.jpg') ?>" width="90" height="120" alt="<?= $escort->showname ?>" />
								</a>

								<a href="<?= $this->getLink('profile', array('showname' => $escort->showname)) ?>" title="<?= $escort->showname ?>" target="_blank">view profile</a>
							</div>
							<div class="actions">
								<button onclick="return editProfile(this)"><img src="<?= _st('_/btn_edit-profile-small.gif') ?>" alt="Edit Profile" /></button>
								<button onclick="return editGallery(this)"><img src="<?= _st('_/btn_edit-gallery-small.gif') ?>" alt="Edit Gallery" /></button>
							</div>
							<div class="actions" style="border: 0 none">
								<!--<button type="submit" name="a" value="deactivate"><img src="<?= _st('_/btn_deactivate-small.gif') ?>" alt="Deactivate" /></button>
                                <button type="submit" name="a" value="delete"><img src="<?= _st('_/btn_delete-small.gif') ?>" alt="Delete" /></button>
                                -->
                                <button onclick="return Cubix.Agencyescort.Action(<?= $escort->id ?>, 0,'deactivate');"><img src="<?= _st('_/btn_deactivate-small.gif') ?>" alt="Deactivate" /></button>
								<button onclick="return Cubix.Agencyescort.Action(<?= $escort->id ?>, 0,'delete');" ><img src="<?= _st('_/btn_delete-small.gif') ?>" alt="Delete" /></button>
							</div> 
							<div class="clear"></div>
						</form>
					</div>
				<? endforeach ?>

               

					<div class="clear"></div>

                     <? $per_page = $this->escorts_per_page; ?>
                <? $pages_count = ceil($this->escorts_a_count / $per_page); ?>

                <? if ( $pages_count != 1 ): ?>
                <p class="dashboard-paging">
                    <?  $pages = $this->paging($this->escorts_a_count, $this->current_page, $per_page); ?>
                    <? if ( 1 < $this->current_page): ?>
                        <a class="prev" href="#" onclick="return Cubix.Agencyescort.Load('<?= $this->lang() ?>', <?= ($this->current_page - 1) ?>, 1);"></a>
                    <? endif ?>

                    <? foreach ( $pages as $page ): ?>
                    <? if ( $this->current_page == $page ): ?>
                        <span><?= $page ?></span>
                    <? else: ?>
                        <a class="p" href="#" onclick="return Cubix.Agencyescort.Load('<?= $this->lang() ?>', <?= $page ?>, 1);"><?= $page ?></a>
                    <? endif ?>
                    <? endforeach ?>

                    <? if ( $pages_count > $this->current_page): ?>
                        <a class="next" href="#" onclick="return Cubix.Agencyescort.Load('<?= $this->lang() ?>', <?= ($this->current_page + 1) ?>, 1);"></a>
                    <? endif ?>
                </p>
                <? endif;?>

				</div>
			</div>

			<div class="section">
				<h3><?= __('pv2_title_your_inactive_models') ?></h3>
                <div class="container" id="incontainer">
					<? if ( $this->actionError && ! $this->is_active ): ?>
					<div class="error-message"><?= $this->actionError ?></div>
					<? endif ?>
				<? foreach ( $this->escorts_inactive as $escort ): $escort = new Model_EscortItem($escort); if ( ($escort->status & 32) && (!($escort->status & Model_Escorts::ESCORT_STATUS_OWNER_DISABLED))) continue; ?>
					<div class="p-escort">
						<form action="" method="post">
							<input type="hidden" name="is_active" value="0" />
							<input type="hidden" name="escort_id" value="<?= $escort->id ?>" />
							<a href="<?= $this->getLink('profile', array('showname' => $escort->showname)) ?>" title="<?= $escort->showname ?>"><?= $escort->showname ?></a><br/>
							<div class="image">
								<a class="wrap" href="<?= $this->getLink('profile', array('showname' => $escort->showname)) ?>" title="<?= $escort->showname ?>">
									<img src="<?= ($main = $escort->getMainPhoto()) ? $main->getUrl('agency_p100', true) : _st('no-photo.jpg') ?>" width="90" height="120" alt="<?= $escort->showname ?>" />
								</a>

								<a href="<?= $this->getLink('profile', array('showname' => $escort->showname)) ?>" title="<?= $escort->showname ?>">view profile</a>
							</div>
							<div class="actions">
								<button onclick="return editProfile(this)"><img src="<?= _st('_/btn_edit-profile-small.gif') ?>" alt="Edit Profile" /></button>
								<button onclick="return editGallery(this)"><img src="<?= _st('_/btn_edit-gallery-small.gif') ?>" alt="Edit Gallery" /></button>
							</div>
							<div class="actions" style="border: 0 none">
								<!--<button type="submit" name="a" value="activate"><img src="<?= _st('_/btn_activate-small.gif') ?>" alt="Activate" /></button>
                                <button type="submit" name="a" value="delete"><img src="<?= _st('_/btn_delete-small.gif') ?>" alt="Delete" /></button>
                                -->
                                <button onclick="return Cubix.Agencyescort.Action(<?= $escort->id ?>, 0,'activate');"><img src="<?= _st('_/btn_activate-small.gif') ?>" alt="Activate" /></button>
								<button onclick="return Cubix.Agencyescort.Action(<?= $escort->id ?>, 0,'delete');" ><img src="<?= _st('_/btn_delete-small.gif') ?>" alt="Delete" /></button>
							</div>
							<div class="clear"></div>
						</form>
					</div>
				

					

                    <? endforeach ?>

                    
                    <div class="clear"></div>
                    <? $per_page = $this->escorts_per_page; ?>
                    <? $pages_count = ceil($this->escorts_i_count / $per_page); ?>

                    <?
                    if ( $pages_count != 1 ): ?>
                    <p class="dashboard-paging">
                        <?  $pages = $this->paging($this->escorts_i_count, $this->current_page, $per_page); ?>
                        <? if ( 1 < $this->current_page): ?>
                            <a class="prev" href="#" onclick="return Cubix.Agencyescort.Load('<?= $this->lang() ?>', <?= ($this->current_page - 1) ?>, 0);"></a>
                        <? endif ?>

                        <? foreach ( $pages as $page ): ?>
                        <? if ( $this->current_page == $page ): ?>
                            <span><?= $page ?></span>
                        <? else: ?>
                            <a class="p" href="#" onclick="return Cubix.Agencyescort.Load('<?= $this->lang() ?>', <?= $page ?>, 0);"><?= $page ?></a>
                        <? endif ?>
                        <? endforeach ?>

                        <? if ( $pages_count > $this->current_page): ?>
                            <a class="next" href="#" onclick="return Cubix.Agencyescort.Load('<?= $this->lang() ?>', <?= ($this->current_page + 1) ?>, 0);"></a>
                        <? endif ?>
                    </p>
                    <? endif;?>
				</div>
			</div>
		</div>
	</fieldset>
</div>
